AirHub API
AirHub® Portal (Sandbox)
  1. Ephemeral Operations
AirHub API
  • Introduction
  • Authenticating
  • Briefing
    • Overview
    • What Is B4UFLY
    • The API Basics
    • Location vs Area
    • What's New in v2
    • v1
      • B4UFLY Briefing by Area
      • B4UFLY Briefing by Location
    • v2
      • B4UFLY Briefing by Area
      • B4UFLY Briefing by Location
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
        POST
      • Get Ephemeral Operation
        GET
      • Delete Ephemeral Operation
        DELETE
      • Claim Ephemeral Operation
        POST
  • Surface
    • Overview
  • Vector Tiles
    • Overview
  • Data
    • Elevation v1
    • Elevation v2
    • shim
      • Send Positions
    • elevation-v1
      • Elevation
    • elevation-v2
      • Elevation
  • Schemas
    • AssetTypeEnum
    • authorizationsvc.v1.Authorization
    • asloperationsvc.v1.FlightType
    • DeviceStatus
    • authorizationsvc.v1.Class
    • ephemeralsvc.v1.ClaimEphemeralOperationResponse
    • authorizationsvc.v1.Deny
    • ElevationFeature
    • ephemeralsvc.v1.CreateEphemeralOperationRequest
    • authorizationsvc.v1.FacilityMap
    • ephemeralsvc.v1.CreateEphemeralOperationResponse
    • authorizationsvc.v1.Status
    • ElevationGeometry
    • ephemeralsvc.v1.EphemeralOperation
    • authorizationsvc.v1.SubmissionType
    • ElevationOutput
    • ElevationServerErrorResponse
    • ephemeralsvc.v1.PointOfContact
    • InvalidElevationInputResponse
    • geompb.v1.AltitudeReference
    • OwnerTypeEnum
    • geompb.v1.AltitudeUnit
    • google.protobuf.Any
    • laancsvc.v1.Action
    • PointXyElevationData
    • google.protobuf.NullValue
    • laancsvc.v1.Candidate
    • RawPositionMessageBody
    • google.rpc.Status
    • laancsvc.v1.DeleteOperationResponse
    • SourceAltitudeTypeEnum
    • laancsvc.v1.GetOperationResponse
    • Transformation
    • Unit
    • laancsvc.v1.License
    • V1ElevationInput
    • laancsvc.v1.Notice
    • V1Geometry
    • laancsvc.v1.Operation
    • V1GeometryType
    • laancsvc.v1.OperationResponse
    • V1InVDatum
    • laancsvc.v1.OperationService.CreateOperationBody
    • V2ElevationInput
    • laancsvc.v1.OperationService.UpdateOperationBody
    • laancsvc.v1.PointOfContact
    • laancsvc.v1.Reason
    • laancsvc.v1.UpdateOperationResponse
    • laancsvc.v1.ReverseLookupOperationResponse
AirHub® Portal (Sandbox)
  1. Ephemeral Operations

Get Ephemeral Operation

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
GET
/v1/operations/ephemeral/{id}
Last modified:2026-03-06 20:14:40
Scope: operation:read
This method will return a single Ephemeral Operation specified by the id path parameter. Only unclaimed Ephemeral Operations can be retrieved using this method.

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://airhub-api-sandbox.airspacelink.com/v1/operations/ephemeral/'

Responses

🟢200
application/json
A successful response.
Body

Example
{
    "id": "ed0bcc4f-9984-467d-bcbe-7b048c85af90",
    "name": "Operation 97",
    "createdBy": "7e72c37c-3111-40d6-986b-d9403e55303a",
    "createdDate": "2024-08-23T20:21:22.916128Z",
    "flightType": "FLIGHT_TYPE_RECREATIONAL",
    "boundary": {
        "type": "Polygon",
        "coordinates": [
            [
                [
                    -78.55714924875102,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.15773996731016
                ]
            ]
        ]
    },
    "startTime": "2024-08-23T20:25:00.000Z",
    "endTime": "2024-08-23T21:25:00.000Z",
    "minAltitude": 0,
    "maxAltitude": 200,
    "altitudeUnit": "ALTITUDE_UNIT_FEET",
    "altitudeReference": "ALTITUDE_REFERENCE_WGS84",
    "timezone": "America/New_York",
    "pointOfContact": {
        "firstName": "Bob",
        "lastName": "Jones",
        "phoneNumber": "540-867-5309",
        "emailAddress": "bobjones@email.com"
    }
}
🟠403
🟠404
⚪default
Modified at 2026-03-06 20:14:40
Previous
Create Ephemeral Operations
Next
Delete Ephemeral Operation
Built with